Loading...
Searching...
No Matches
cap_alloc File Reference

Capability allocator. More...

`#include <l4/re/util/cap_alloc_impl.h>`
`#include <l4/sys/smart_capability>`
`#include <l4/sys/task>`
`#include <l4/re/consts>`
Include dependency graph for cap_alloc:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | L4Re::Util::Smart_cap_auto< Unmap_flags >
| Helper for Unique_cap and Unique_del_cap. More...
class | L4Re::Util::Smart_count_cap< Unmap_flags >
| Helper for Ref_cap and Ref_del_cap. More...
struct | L4Re::Util::Ref_cap< T >
| Automatic capability that implements automatic free and unmap of the capability selector. More...
struct | L4Re::Util::Ref_del_cap< T >
| Automatic capability that implements automatic free and unmap+delete of the capability selector. More...

## Namespaces

namespace | L4Re
| L4Re C++ Interfaces.
namespace | L4Re::Util
| Documentation of the L4 Runtime Environment utility functionality in C++.

## Functions

template<typename T>
Ref_cap< T >::Cap | L4Re::Util::make_ref_cap ()
| Allocate a capability slot and wrap it in a Ref_cap.
template<typename T>
Ref_del_cap< T >::Cap | L4Re::Util::make_ref_del_cap ()
| Allocate a capability slot and wrap it in a Ref_del_cap.

## Variables

_Cap_alloc & | L4Re::Util::cap_alloc
| Capability allocator.

## Detailed Description

Capability allocator.

Definition in file cap_alloc.